Kerbal Space Program - Bug #2000

Falling through planets
12/24/2013 11:52 AM - THESWATTAM

Status: Closed Start date: 12/24/2013
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 0.23 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

This bug makes crafts fall through the terrain as if there was no ground, and then when the command module hits the terrain, the
whole craft explodes as if it had crashed, and sometimes the craft explodes over above where the terrain is. It happens when
attempting to land on a moon. | have seen it on the mun and minmus, but i haven't seen it an any other planet or moon. Usually,
when the lander is coming in to land, if it is around 800m above he ground, debris will be seen to hit the ground hard and explode,
which is normal. Then anywhere from 2km (the highest i have been above the ground when | see it) to 300m above the ground a
"warning sign" appears, which is in the form of a line of no texture of the body, you can see right through it. That is a good way to tell
that the craft will sink through the terrain. The next sign of the fact that you will fall through the terrain is that the scatter is not there.
After the command pod hits the ground the flight events message pops up and it says in my latest case "kerbal 1 crashed into
--minmus". Also it only happens on certain parts of the planet. On the mun, it is where ever you try to land first, and on minmus, it is
pretty much everywhere but the midlands. The only way | have been able to achieve it with a lander, NOT debris is going at a
velocity of under 20 m/s, sadly that includes landing velocity. But if you are going higher the craft crashes into the terrain as normal.
Also, on minmus, if you go to the space center while the craft is landed on the midlands, and come back, you will have no control of
the craft, and it will be stuck there (unless you use hyper edit to send it back to kerbin somehow) forever.

History

#1 - 12/29/2013 06:32 AM - velifer

This may or may not be a duplicate of bug #497 (497 conflates being waist deep in grass with the actual bug).

This problem is so bad with my install that | can't even land many of my ships. They explode a few hundred meters above the surface, and | get a
report that they were destroyed on impact. | get the same graphical glitch (a line across the surface that looks like a break).

It is possible to reproduce by going EVA in an area where terrain changes slope, then walking across those slope changes (especially with time
zoomed). The Kerbal will plummet through the planet and explode.

#2 - 07/27/2015 06:05 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#3 - 07/17/2016 09:36 AM - TriggerAu

- Status changed from New to Needs Clarification

#4 - 08/08/2016 12:53 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
